/* PÁGINA QUARTOS */

.header{
    background-color: #69512a;
}

section.pagina-quartos{
    display: flex;
    flex-direction: column;
    padding: 8rem 4rem 4rem 4rem;
    background-color: var(--color-neutral-50);
}

section.pagina-quartos .tit h1{
    color: var(--color-neutral-20);
    margin-bottom: 50px;
    font-size: 50px;
    text-align: center;
    font-family: "Merienda", sans-serif;
}

.container-quartos {
    display: flex;
    flex-direction: column;
    gap: 40px;
    justify-content: center;
    align-items: center;
}

.container-quartos .container-quarto{
    display: flex;
    border: 2px solid var(--color-neutral-20);
    max-height: 700px;
}

.container-quartos .container-quarto .img{
    flex: 1;
}

.container-quartos .container-quarto .txt{
    flex: 1;
}

.container-quartos img{
    width: 100%;
    max-height: 700px;
}

.container-quartos .txt{
    display: flex;
    flex-direction: column;
    padding: 20px;
    gap: 20px;
    justify-content: center;
}

.container-quartos .txt h3{
    color: var(--color-neutral-20);
    font-size: 40px;
    font-family: "Merienda", sans-serif;
}

.txt p.texto{
    color: #B98A75;
}

.container-quartos .img{
    position: relative;
}

.container-quartos .botao{
    padding-top: 0rem;
}

.next, .prev {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 3rem;
    height: 5rem;
    background-color: #91713C;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    cursor: pointer;
}

.next i, .prev i{
    font-size: 2rem;
}

.next{
    right: 0;
}

.prev{
    left: 0;
}

@media screen and (max-width:900px){
    .container-quartos .container-quarto{
        flex-direction: column;
    }

    .container-quartos img{
        width: 100%;
        height: 700px;
    }

    .container-quartos .container-quarto{
        max-height: none;
    }

    .container-quartos img{
        max-height: none;
    }
}

@media screen and (max-width:700px){
    section.pagina-quartos{
        padding: 8rem 1rem 1rem 1rem;
    }

    .container-quartos img{
        height: auto;
    }

    .container-quartos .txt h3{
        font-size: 30px;
    }
}

@media screen and (max-width:500px){
    .next, .prev {
        width: 2.5rem;
        height: 3.5rem;
    }

    .next i, .prev i {
        font-size: 1.5rem;
    }
}

/* FAZER RESERVA */

section.reservas{
    background-color: var(--color-neutral-50);
    padding: 4rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

section.reservas .tit h1{
    color: var(--color-neutral-20);
    margin-bottom: 50px;
    font-size: 50px;
    text-align: center;
    font-family: "Merienda", sans-serif;
}

.form {
    padding: 20px;
    border: 1px solid #623E2A; 
    border-radius: 5px;
    width: 500px;
}

.form h2{
    text-align: center;
    margin-bottom: 1rem;
}

form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.secao{
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
}

.secao input{
    padding: 0.3rem;
    font-size: 20px;
    background-color: var(--color-neutral-50);
    border: 1px solid var(--color-neutral-20);
}

label{
    text-align: left;
    font-size: 20px;
    color: var(--color-neutral-20);
}

.secao-consentimento{
    display: flex;
    flex-direction: row;
    gap: 5px;
}

.check{
    display: flex;
    align-items: center;
    justify-content: center;
}

input[type="checkbox"] {
    transform: scale(1.5);
    margin: 10px;
}

label#consent{
    font-size: 1rem;
}

.form .botao{
    padding-top: 0rem;
}

.botao input{
    cursor: pointer;
    padding: 0.5rem 2.5rem;
    display: flex;
    align-items: center;
    font-size: 18px;
    align-items: center;
    color: white;
    background-color: var(--color-neutral-10);
    gap: 0.4rem;
    transition: 0.3s;
    border: 2px solid white;
}

.botao input:hover{
    box-shadow: 0px 0px 8px var(--color-neutral-10);
    transform: scale(1.05);
}

@media screen and (max-width: 850px) {
    section.reservas{
        padding: 2rem 1rem;
    }

    section.reservas .tit h1{
        margin-bottom: 20px;
    }
}

@media screen and (max-width: 800px) {
    .form {
        width: 400px;
    }

    label#consent{
        font-size: 0.8rem;
    }
}

@media screen and (max-width: 450px) {
    section.reservas .tit h1{
        font-size: 40px;
        margin-bottom: 10px;
    }

    .form {
        width: auto;
    }

    label#consent{
        font-size: 12px;
    }
}